## gip 1.7.0-1

=== debian/changelog ===
gip (1.7.0-1-5) unstable; urgency=medium

  * New maintainer.
    Thanks to Ignace Mouzannar, the last maintainer. (Closes: 955987)
  * Ran wrap-and-sort.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: binary-targets' to source stanza.
      - Added the field Homepage.
      - Added VCS fields.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright:
      - Migrated to 1.0 format. Full updated.
      - Updated the field Source.
  * debian/gip.docs: removed README.source.
  * debian/patches:
      - Renamed all patches:
          ~ 010_gen-sh.patch
          ~ 020_build-sh.patch
          ~ 030_gip-desktop.patch
          ~ 040_init-lock-events.patch
          ~ 050_installer-build-files-sh.patch
          ~ 060_binary-hex-network-update.patch
          ~ 070_remove-header.patch
          ~ 080_debian-hardening.patch
          ~ 090_desktop-file.patch
      - 020_build-sh.patch: updated to fixed the package reproducibility.
        Thanks to Reiner Herrmann <reiner@reiner-h.de>. (Closes: 842868)
      - 080_debian-hardening.patch: updated to set CPPFLAGS.
  * debian/README.source: removed.
  * debian/rules:
      - Added CPPFLAGS.
      - Added DEB_BUILD_MAINT_OPTIONS.
      - Added DH_VERBOSE.
      - Removed CFLAGS from noopt.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: added to perform a test.
  * debian/watch: updated to version 4 and changed the URI.

 -- Thiago Andrade Marques <andrade@debian.org>  Sat, 11 Jul 2020 02:00:18 -0300

gip (1.7.0-1-4) unstable; urgency=medium

  * debian/patches:
    - 70-remove-header.diff: remove include to fix FTBFS with newer
      libsigc++. Patch imported from Ubuntu. (Closes: 805200)
    - 71-debian-hardening.diff: adds hardening compile-time options,
      as suggested and described here: https://wiki.debian.org/Hardening.
    - 72-desktop-file.diff: add Keywords field to the desktop file.
  * debian/compat:
    - Bumped compat version from 7 to 9.
  * debian/control:
    - Removed deprecated 'Dm-Upload-Allowed' field.
    - Removed Vcs-Svn and Vcs-Browser as they are out of date.
    - Removed obsolete hompage url.
    - Bumped Standards-Version to 3.9.8.
    - Updated debhelper dependency version to follow new compat version.
  * debian/gip.menu:
    - Removed file as recommended here:
      https://lists.debian.org/debian-devel-announce/2015/09/msg00000.html

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sat, 23 Jul 2016 23:45:32 -0400

gip (1.7.0-1-3) unstable; urgency=low

  * debian/patches:
    - 50-installer-build_files-sh.diff: Fix placement of libs in linking stages
      for GCC 4.6. Thank you Daniel T Chen <crimsun@ubuntu.com> for providing
      this patch. (Closes: 641844) (LP: #771081)
    - 60-binary-hex-network-update.diff: Adds update signals to binary and hex
      "network" fields when user updates "Network mask" or "Prefix length".
      (LP: #704348)
  * debian/control:
    - Removed dependency on quilt.
    - Bumped Standards-Version to 3.9.2.
    - Added DM-Upload-Allowed field.
  * debian/watch:
    - Updated to use googlecode.debian.net redirector.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sun, 20 Nov 2011 01:06:59 +0100

gip (1.7.0-1-2) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version to 3.9.1.
    - Added Vcs-Svn and Vcs-Browser as the package has been added on
      collab-maint/ext-main.
  * debian/patches:
    - Added 40-init_lock_events.diff: to initialize the lock_events variable
      to FALSE as it was not initialized. (Closes: #576416)
      Thank you Frank Dean <frank-lists@smartpixie.com> for providing the patch.
    - 20-build-sh.diff: updated the patch to correct linking paths (LP: #565187)
  * Converted the package to "3.0 (quilt)" source format.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Wed, 01 Sep 2010 00:58:07 +0200

gip (1.7.0-1-1) unstable; urgency=low

  * New maintainer. (Closes: #547045)
  * New upstream release.
  * Menu entry has been added in "Applications->Accessories". (Closes: #474969)
  * debian/rules:
    - Simplified the rules file using dh7 features.
  * debian/control:
    - Updated project homepage.
    - Updated debhelper dependency to (>= 7.0.50~).
    - Added dependency on quilt (>= 0.46-7).
  * debian/copyright:
    - Linked to GPL-2.
  * debian/compat:
    - Updated debhelper compatibility to 7.
  * debian/patches/:
    - Added 10-gen-sh.diff: to remove the timestamps modification of the
      po/gip.pot file.
    - Added 20-build-sh.diff: to correct installation path in the build.sh
      file, and remove uselessly linked libraries.
    - Added 30-gip-desktop.diff: to correct the path in the .desktop file,
      and remove the "Encoding" key.
  * Added a debian/watch file.
  * Added a debian/gip.dirs file.
  * Standards-Version bumped to 3.8.3.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Tue, 06 Oct 2009 11:35:57 +0200

gip (1.6.1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix double-build FTBFS by calling “./clean.sh” instead of
    “-$(MAKE) clean” (Closes: #442574).
  * Remove unneeded “clean” script.
  * Bump debhelper compatibility from 4 to 5, no changes needed.
  * Bump Standards-Version from 3.7.2 to 3.7.3, no changes needed.
  * Move the Homepage from the description to a source field.
  * Menu transition: Move the menu section from “Apps/Net” to
    “Applications/Network/Monitoring”.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 26 Feb 2008 23:40:07 +0100

gip (1.6.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Updated to Standards-Version 3.7.2.
  * debian/copyright: Updated address of Free Software Foundation.
  * Added patch "[INTL:sv] Swedish PO-template translation", thanks to Daniel

