=== debian/control ===
Source: gip
Section: gnome
Priority: optional
Maintainer: Thiago Andrade Marques <andrade@debian.org>
Build-Depends: debhelper-compat (= 13),
               intltool,
               libgtkmm-2.4-dev
Standards-Version: 4.5.0
Rules-Requires-Root: binary-targets
Homepage: https://code.google.com/archive/p/gip/
Vcs-Browser: https://salsa.debian.org/debian/gip
Vcs-Git: https://salsa.debian.org/debian/gip.git

Package: gip
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: IP calculator for GNOME desktop environment
 Gip provides system administrators with tools for IP address based
 calculations. For example, an administrator who needs to find out which IP
 prefix length equals the IP netmask 255.255.240.0, just types in the mask
 and gets the prefix length presented. But many more advanced calculations
 can be made. Gip can convert an address range into a list of prefix lengths.
 It can also split subnets using a given IP netmask or IP prefix length.
 Many more calculations are possible.
