=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS = -Wall -g
CPPFLAGS += -D_FORTIFY_SOURCE=2

%:
	dh $@

override_dh_auto_install:
	./build.sh --install --prefix $(CURDIR)/debian/gip/usr
