=== debian/tests/control ===
Test-Command: xvfb-run -a gip &
Depends: @, xauth, xvfb
