=== debian/watch ===
version=4
https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/gip/gip-1.7.0-1.tar.gz
#This project was discontinued. Awaiting migration to github.
